org.apache.fop.fonts

## Interface FontEventProducer

All Superinterfaces:
  EventProducer

    public interface FontEventProducer
    extends EventProducer

Event producer for fonts-related events.

### Nested Class Summary

Nested Classes
`static class` `FontEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `fontDirectoryNotFound(Object source, String dir)` An error occurred trying to find the font directory specified in the config file.
`void` `fontFeatureNotSuppprted(Object source, String feature, String onlySupportedIn)` A method to warn the user that the feature they are trying to use is not supported with either the renderer or other setting.
`void` `fontLoadingErrorAtAutoDetection(Object source, String fontURL, Exception e)` An error occurred while loading a font for auto-detection.
`void` `fontSubstituted(Object source, FontTriplet requested, FontTriplet effective)` Notifies about a font being substituted as the requested one isn't available.
`void` `glyphNotAvailable(Object source, char ch, String fontName)` A glyph has been requested that is not available in the font.
`void` `svgTextStrokedAsShapes(Object source, String fontFamily)` The SVG text will be stroked as shapes.

### Method Detail

#### fontSubstituted

    void fontSubstituted(Object source,
                         FontTriplet requested,
                         FontTriplet effective)

Notifies about a font being substituted as the requested one isn't available.

Parameters:
  `source` - the event source
  `requested` - the requested font triplet
  `effective` - the effective font triplet
Event.severity:
  WARN

#### fontLoadingErrorAtAutoDetection

    void fontLoadingErrorAtAutoDetection(Object source,
                                         String fontURL,
                                         Exception e)

An error occurred while loading a font for auto-detection.

Parameters:
  `source` - the event source
  `fontURL` - the font URL
  `e` - the original exception
Event.severity:
  WARN

#### glyphNotAvailable

    void glyphNotAvailable(Object source,
                           char ch,
                           String fontName)

A glyph has been requested that is not available in the font.

Parameters:
  `source` - the event source
  `ch` - the character for which the glyph isn't available
  `fontName` - the name of the font
Event.severity:
  WARN

#### fontDirectoryNotFound

    void fontDirectoryNotFound(Object source,
                               String dir)

An error occurred trying to find the font directory specified in the config file.

Parameters:
  `source` - the event source
  `dir` - the directory in the config file
Event.severity:
  WARN

#### svgTextStrokedAsShapes

    void svgTextStrokedAsShapes(Object source,
                                String fontFamily)

The SVG text will be stroked as shapes.

Parameters:
  `source` - the event source
  `fontFamily` - the family name of the font that is being stroked
Event.severity:
  WARN

#### fontFeatureNotSuppprted

    void fontFeatureNotSuppprted(Object source,
                                 String feature,
                                 String onlySupportedIn)

A method to warn the user that the feature they are trying to use is not supported with either the renderer or other setting.

Parameters:
  `source` -
  `feature` - The feature that has caused the not supported issue
  `onlySupportedIn` - The renderer / setting that this feature works with.
Event.severity:
  ERROR